<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Hydrator\Response\GetPaymentDetails;

use ConnectPayPayment\Components\Client\Response\GenericResponse;
use ConnectPayPayment\Components\Client\Response\GetPaymentDetailsResponse;

interface GetPaymentDetailsResponseHydratorInterface
{
    /**
     * Enrich response
     *
     * @param GenericResponse $genericResponse
     * @return GetPaymentDetailsResponse
     */
    public function hydrate(GenericResponse $genericResponse): GetPaymentDetailsResponse;
}
