<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Response;

use Shopware\Core\Framework\Struct\Struct;

class GenericResponse extends Struct implements ResponseInterface
{
    protected int $httpStatus;
    protected array $response;

    public function getHttpStatus(): int
    {
        return $this->httpStatus;
    }

    public function getResponse(): array
    {
        return $this->response;
    }
}
