# ConnectPay for Shopware 6

### To start working with the plugin:

- Check [Merchant API workflow](https://dev.connectpay.com/api-portal/content/merchant-api-make-payment)
- Install and activate the plugin
- Check `Availability rule` for payment method and assign payment method to `Sales Channel`
- Configure plugin via plugin settings, almost all fields are mandatory

## Shell commands:

- `cp:payment:get:status` - No need to run manually, will be run as a part of general cron job and callback response
- `cp:providers:get` - should be run on regular basis to retrieve and update bank providers.

## For debugging:

- Enable `Activate debug mode` option in the plugin settings
- Check logs(var/log/`connect_pay_{env}-{date}.log)`, run shell command to trigger actions and check additional
  information

## Known limitations:

- API doesn't work with not secure protocol, please, use `https`
- During local testing customer IP generated, due to the API limitations

## Useful links:

- [Payment provider](https://connectpay.com)
- [Plugin developer](https://dinarys.com/)
