<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Hydrator\Request\GetPaymentDetails;

use ConnectPayPayment\Components\Client\Request\GetPaymentDetailsRequest;
use ConnectPayPayment\Components\Struct\Configuration;

interface GetPaymentDetailsRequestHydratorInterface
{

    /**
     * Enrich request
     *
     * @param string $paymentId
     * @param Configuration $configuration
     * @return GetPaymentDetailsRequest
     */
    public function hydrate(string $paymentId, Configuration $configuration): GetPaymentDetailsRequest;
}
