<?php declare(strict_types=1);

namespace ConnectPayPayment\ScheduledTask;

use Shopware\Core\Framework\MessageQueue\ScheduledTask\ScheduledTask;

class GetPaymentDetails extends ScheduledTask
{
    public static function getTaskName(): string
    {
        return 'connect_pay.get_payment_details';
    }

    /**
     * {@inheritdoc}
     */
    public static function getDefaultInterval(): int
    {
        // 60s * 60(min) * 4(h)
        return 14400;
    }
}
